From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-libs/aqbanking/
Date: Sun, 13 May 2018 21:05:07 +0000 (UTC) [thread overview]
Message-ID: <1526245490.d4a86ed43120461801f920e1d1f15a2677153138.asturm@gentoo> (raw)
commit: d4a86ed43120461801f920e1d1f15a2677153138
Author: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sun May 13 20:54:49 2018 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sun May 13 21:04:50 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d4a86ed4
net-libs/aqbanking: 5.7.8 version bump
Bug: https://bugs.gentoo.org/602858
net-libs/aqbanking/Manifest | 1 +
net-libs/aqbanking/aqbanking-5.7.8.ebuild | 68 +++++++++++++++++++++++++++++++
2 files changed, 69 insertions(+)
diff --git a/net-libs/aqbanking/Manifest b/net-libs/aqbanking/Manifest
index 01b1ffded80..5d032f3186d 100644
--- a/net-libs/aqbanking/Manifest
+++ b/net-libs/aqbanking/Manifest
@@ -1 +1,2 @@
DIST aqbanking-5.6.10.tar.gz 3687687 BLAKE2B 9bb357db8ddf853867fb4c80c5e86d37bfdccb2244ec6458a3f6117b6e3316cb365e48054102227f8a72fdf2493ae37a6d7303abeda3ad8ea28f783ff36c21bc SHA512 2429be829bf8c7b81b608ceb39d1f7f7f1876b52961d98356c611196577c89991983a0e87575605deda1e4ef71c68a20466457c827c36910b316178d9a37352a
+DIST aqbanking-5.7.8.tar.gz 3818825 BLAKE2B 6536b11251fda4977fd964f513f4b2bb23cd14d62adffdd18e7508afe85d660b86aa1aadc80fe4ba47c5b393659ba7139c65eaf342795f6f05599efdd2c3904d SHA512 4078c3bc2c0b6f38f853fed064e37b6188c0b8158416ca6482756232ef8fe71e9cc1df0abe8c6bcbe8a7e818c24210f553c367f540d60cb7b7cf0161a9ca7117
diff --git a/net-libs/aqbanking/aqbanking-5.7.8.ebuild b/net-libs/aqbanking/aqbanking-5.7.8.ebuild
new file mode 100644
index 00000000000..5e97f42be89
--- /dev/null
+++ b/net-libs/aqbanking/aqbanking-5.7.8.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+MY_P="${P/_beta/beta}"
+DESCRIPTION="Generic Online Banking Interface"
+HOMEPAGE="https://www.aquamaniac.de/aqbanking/"
+SRC_URI="https://www.aquamaniac.de/sites/download/download.php?package=03&release=217&file=02&dummy=${MY_P}.tar.gz -> ${MY_P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+IUSE="chipcard debug doc ebics examples gtk ofx"
+
+RDEPEND="
+ app-misc/ktoblzcheck
+ dev-libs/gmp:0=
+ sys-libs/gwenhywfar:=[gtk?]
+ virtual/libintl
+ chipcard? ( >=sys-libs/libchipcard-5.0.2 )
+ ebics? ( dev-libs/xmlsec[gcrypt,gnutls] )
+ ofx? ( >=dev-libs/libofx-0.9.5 )
+"
+DEPEND="${RDEPEND}
+ sys-devel/gettext
+ virtual/pkgconfig
+ doc? ( app-doc/doxygen )"
+
+DOCS=( AUTHORS ChangeLog NEWS README TODO )
+
+MAKEOPTS="${MAKEOPTS} -j1" # 5.7.8 still fails with > -j1
+
+S="${WORKDIR}/${MY_P}"
+
+src_configure() {
+ local backends="aqhbci aqnone aqpaypal"
+ use ofx && backends="${backends} aqofxconnect"
+ use ebics && backends="${backends} aqebics"
+
+ local mytest
+ use gtk && mytest="--enable-gui-tests"
+
+ econf \
+ $(use_enable debug) \
+ $(use_enable doc full-doc) \
+ --with-backends="${backends}" \
+ --with-docpath=/usr/share/doc/${PF}/apidoc \
+ ${mytest}
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+
+ rm -rv "${ED}"/usr/share/doc/ || die
+
+ einstalldocs
+
+ newdoc src/plugins/backends/aqhbci/tools/aqhbci-tool/README \
+ README.aqhbci-tool
+
+ if use examples; then
+ docinto tutorials
+ dodoc tutorials/*.{c,h} tutorials/README
+ fi
+
+ find "${ED}" -name '*.la' -delete || die
+}
next reply other threads:[~2018-05-13 21:05 UTC|newest]
Thread overview: 41+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-05-13 21:05 Andreas Sturmlechner [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-01-12 12:09 [gentoo-commits] repo/gentoo:master commit in: net-libs/aqbanking/ Andreas Sturmlechner
2023-04-15 5:40 Sam James
2023-01-04 21:00 Andreas Sturmlechner
2023-01-03 18:28 Sam James
2023-01-03 18:28 Sam James
2022-12-02 7:43 Joonas Niilola
2022-03-30 14:14 Yixun Lan
2021-01-03 22:56 Sam James
2020-11-15 14:01 Andreas Sturmlechner
2020-11-15 5:24 Sam James
2020-11-12 21:03 Thomas Deutschmann
2020-10-31 22:40 Andreas Sturmlechner
2020-09-09 9:05 Hanno Böck
2020-08-29 13:21 Sam James
2020-05-21 11:20 Andreas Sturmlechner
2020-02-15 10:33 Andreas Sturmlechner
2020-02-13 12:46 Agostino Sarubbo
2020-02-08 13:54 Mikle Kolyada
2020-01-19 22:08 Andreas Sturmlechner
2020-01-19 22:08 Andreas Sturmlechner
2020-01-15 19:41 Andreas Sturmlechner
2019-12-02 16:33 Mikle Kolyada
2019-12-02 16:12 Mikle Kolyada
2019-11-13 21:25 Andreas Sturmlechner
2019-11-13 21:25 Andreas Sturmlechner
2019-10-13 13:41 Andreas Sturmlechner
2019-10-13 12:03 Andreas Sturmlechner
2019-10-13 11:40 Andreas Sturmlechner
2019-10-13 11:40 Andreas Sturmlechner
2019-09-18 18:13 Andreas Sturmlechner
2018-07-14 14:57 Andreas Sturmlechner
2018-06-23 18:21 Mikle Kolyada
2018-06-17 23:29 Thomas Deutschmann
2018-02-06 19:35 Andreas Sturmlechner
2017-08-22 21:41 Michał Górny
2017-01-16 10:15 Agostino Sarubbo
2016-12-20 14:04 Tobias Klausmann
2016-06-25 18:15 Hanno Boeck
2016-05-12 10:04 Patrice Clement
2016-05-12 9:33 Hanno Boeck
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1526245490.d4a86ed43120461801f920e1d1f15a2677153138.asturm@gentoo \
--to=asturm@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox